---
title: "Amazon EKS Anywhere"
linkTitle: Documentation
noedit: true
weight: 10
menu:
  main:
    weight: 20
    pre: <i class='fas fa-book'></i>
description: >
  EKS Anywhere provides a means of managing Kubernetes clusters using the same operational excellence and practices that Amazon Web Services uses for its Amazon Elastic Kubernetes Service (Amazon EKS).
  Based on [EKS Distro](https://github.com/aws/eks-distro), EKS Anywhere adds methods for deploying, using, and managing Kubernetes clusters that run in your own data centers.
  Its goal is to include full lifecycle management of multiple Kubernetes clusters that are capable of operating completely independently of any AWS services.
---

The tenets of the EKS Anywhere project are:

- **Simple**: Make using a Kubernetes distribution simple and boring (reliable and secure).
- **Opinionated Modularity**: Provide opinionated defaults about the best components to include with Kubernetes, but give customers the ability to swap them out
- **Open**: Provide open source tooling backed, validated and maintained by Amazon
- **Ubiquitous**: Enable customers and partners to integrate a Kubernetes distribution in the most common tooling.
- **Stand Alone**: Provided for use anywhere without AWS dependencies
- **Better with AWS**: Enable AWS customers to easily adopt additional AWS services
